#ifndef FEATURE_GNSS_SINGLE_DIFF_H_
#define FEATURE_GNSS_SINGLE_DIFF_H_

//Wolf includes
#include "core/feature/feature_base.h"

//std includes

namespace wolf {

WOLF_PTR_TYPEDEFS(FeatureGnssSinleDiff);
    
//class FeatureGnssSingleDiff
class FeatureGnssSingleDiff : public FeatureBase
{
    public:

        /** \brief Constructor from capture pointer and measure
         *
         * \param _measurement the measurement
         * \param _meas_covariance the noise of the measurement
         *
         */
        FeatureGnssSingleDiff(const Eigen::Vector3s& _measurement, const Eigen::Matrix3s& _meas_covariance) :
            FeatureBase("GNSS SINGLE DIFFERENCE", _measurement, _meas_covariance)
        {};

        virtual ~FeatureGnssSingleDiff(){};
};

} // namespace wolf

#endif
